Package org.eclipse.mat.ui.editor

# Class EditorPaneRegistry

java.lang.Object
org.eclipse.mat.util.RegistryReader<PaneConfiguration>
org.eclipse.mat.ui.editor.EditorPaneRegistry

All Implemented Interfaces:
  `IExtensionChangeHandler`

public class EditorPaneRegistry extends RegistryReader<PaneConfiguration>

## Method Summary

Modifier and Type
Method
Description
`AbstractEditorPane`
`createNewPane(String paneId)`
`AbstractEditorPane`
`createNewPane(IResult subject, Class<?> ignore)`
Find the appropriate editor pane for the result, ignoring ones associated with the ignore class.
`PaneConfiguration`
`forPane(String paneId)`
`static EditorPaneRegistry`
`instance()`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, delegates, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### instance

public static EditorPaneRegistry instance()

### forPane

public PaneConfiguration forPane(String paneId)

### createNewPane

public AbstractEditorPane createNewPane(String paneId) throws CoreException

Throws:
  `CoreException`

### createNewPane

public AbstractEditorPane createNewPane(IResult subject, Class<?> ignore)
Find the appropriate editor pane for the result, ignoring ones associated with the ignore class. Searches all subclasses and interfaces.

Parameters:
  `subject` - the result we want to find an appropriate pane for
  `ignore` - ignore a pane matching this class, choose another
Returns:
  the editor pane appropriate for the result